org.eclipse.gef

## Class AutoexposeHelper.Search

- java.lang.Object
- - org.eclipse.gef.AutoexposeHelper.Search

All Implemented Interfaces:
  EditPartViewer.Conditional

Enclosing interface:
  AutoexposeHelper

    public static class AutoexposeHelper.Search
    extends java.lang.Object
    implements EditPartViewer.Conditional

Used with EditPartViewers to find the AutoexposeHelper at a Point. Clients can instantiate the search, call `EditPartViewer.findObjectAtExcluding(Point,Collection, EditPartViewer.Conditional)` , and then check the `result` field.

### Field Summary

Fields
`AutoexposeHelper` `result`

### Constructor Summary

Constructors
Constructor and Description
`AutoexposeHelper.Search(Point pt)` Constructs a new Search at a point on the viewer.

### Method Summary

Methods
`boolean` `evaluate(EditPart editpart)` Returns `true` if the editpart meets this condition.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### result

    public AutoexposeHelper result

### Constructor Detail

#### AutoexposeHelper.Search

    public AutoexposeHelper.Search(Point pt)

Constructs a new Search at a point on the viewer.

Parameters:
  `pt` - the mouse location

### Method Detail

#### evaluate

    public boolean evaluate(EditPart editpart)

Description copied from interface: `EditPartViewer.Conditional`
Returns `true` if the editpart meets this condition.

Specified by:
  `evaluate` in interface `EditPartViewer.Conditional`
Parameters:
  `editpart` - the editpart being evaluated
Returns:
  `true` if the editpart meets the condition